<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#0ec897">

    <com.airbnb.lottie.LottieAnimationView
        android:id="@+id/id_rocket"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <com.airbnb.lottie.LottieAnimationView
        android:id="@+id/id_one_lottie"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="46dp"
        android:layout_marginTop="182dp"
        app:layout_constraintBottom_toTopOf="@+id/id_scaning"
        app:layout_constraintTop_toTopOf="parent"
        app:lottie_autoPlay="true"
        app:lottie_loop="true" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/id_speed_icon"
        android:layout_width="42dp"
        android:layout_height="42dp"
        android:layout_marginBottom="15dp"
        android:visibility="gone"
        app:layout_constraintBottom_toTopOf="@+id/id_scaning"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/id_scaning"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="19dp"
        android:text="Scanning"
        android:textColor="@color/white"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toTopOf="@+id/id_scan"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/id_scan"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="18dp"
        android:layout_marginBottom="140dp"
        android:gravity="center"
        app:layout_constraintBottom_toBottomOf="parent">

        <com.noober.background.view.BLView
            android:layout_width="4dp"
            android:layout_height="4dp"
            app:bl_shape="oval"
            app:bl_solid_color="@color/white" />

        <com.noober.background.view.BLView
            android:layout_width="4dp"
            android:layout_height="4dp"
            android:layout_marginHorizontal="2dp"
            app:bl_shape="oval"
            app:bl_solid_color="@color/white" />

        <com.noober.background.view.BLView
            android:layout_width="4dp"
            android:layout_height="4dp"
            app:bl_shape="oval"
            app:bl_solid_color="@color/white" />
    </androidx.appcompat.widget.LinearLayoutCompat>
</androidx.constraintlayout.widget.ConstraintLayout>